Page MenuHomePhabricator

[SVE] Make cstfp_pred_ty and cst_pred_ty work with scalable splats
ClosedPublic

Authored by ctetreau on Jul 1 2020, 3:06 PM.

Diff Detail

Event Timeline

ctetreau created this revision.Jul 1 2020, 3:06 PM
Herald added a project: Restricted Project. · View Herald Transcript
david-arm accepted this revision.Jul 2 2020, 4:00 AM
This revision is now accepted and ready to land.Jul 2 2020, 4:00 AM
ctetreau updated this revision to Diff 276128.Jul 7 2020, 10:27 AM

add comment for mul.ll

Actually, can you add similar tests that don't involve zero constants? I'm afraid at some point, we'll start folding them to zeroinitializer and end up on a different codepath.

ctetreau updated this revision to Diff 276266.Jul 7 2020, 4:58 PM

Add unit tests

ctetreau updated this revision to Diff 276522.Jul 8 2020, 12:24 PM

Apparently SEC is defined in sys/time.h on solaris

ctetreau updated this revision to Diff 276523.Jul 8 2020, 12:27 PM

fix comments

This revision was automatically updated to reflect the committed changes.